Bug 432079 - Grub fails to read its own config files
Grub fails to read its own config files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 13:52 EST by Thomas Canniot
Modified: 2009-07-14 12:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2008-02-08 13:52:22 EST
Description of problem:
grub does not recognize its own files.

I install F9 with default option, grub boots perfectly. I erased my F8 grub
during this install.

I switched grub to f8 menu.lst, it worked. ( root(hd0,7) / setup (hd0) /
configfile /boot/grub/menu.lst )
I switched grub back to f9 menu.lst, it failed :
root (hd0,7)
setup(hd0) -> reports that stageX files do not exist, but they do

--

If I add f9 default entry into f8 menu.lst and try to boot on it, grub yells :
"Bad file or directory type", pointing to the kernel line.


Version-Release number of selected component (if applicable):
grub f9 alpha version

How reproducible:
always
Comment 1 Thomas Canniot 2008-02-09 04:13:55 EST
Hello, I was able to reproduce this bug on my desktop pc, which has an ide disk
(instead of a sata one for the laptop just above) and of course different
partition type.

I just add f9 entry in f8 menu.lst and grub yells this "error 2 : bad file or
directory type"
Comment 2 dominique 2008-02-12 03:18:59 EST
I have the same problem...i have installed F9 on my laptop and add the entry for
in the F8 menu.list
when i boot I have "error 2 :bad file or directory type"
Comment 3 Bug Zapper 2008-05-14 01:05:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:31:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:08:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.